/*

dump_d64 - read files from d64 files.

Copyright 2012 by Michael Kohn
http://www.mikekohn.net/
mike@mikekohn.net

Licensed under the GPL

*/

#ifndef D64_UTIL_H
#define D64_UTIL_H

struct _basic
{
  unsigned char ram[65536];
  unsigned short int line_address[65536];  // Line number to an address
  int start;
  int end;
};

void d64_dump_bam(FILE *in);
void d64_hexdump_dir(FILE *in);
void d64_dir(FILE *in);
int d64_dump_file(FILE *in, char *infile, char *outfile);
void d64_basic_file_html(struct _basic *basic);
void d64_basic_file_list(struct _basic *basic);
int d64_basic_file_load(FILE *in, char *filename, struct _basic *basic);
int d64_basic_file_dump(FILE *in, char *filename);

#endif

